using System; // Add this to include the System namespace
using UnityEngine;
using UnityEngine.UI;

public class ToggleModes : MVRScript
{
    public override void Init()
    {
        // Create actions for toggling edit and play modes
        JSONStorableAction toggleEditAction = new JSONStorableAction("Toggle Edit Mode", ToggleEditMode);
        JSONStorableAction togglePlayAction = new JSONStorableAction("Toggle Play Mode", TogglePlayMode);

        // Register the actions so they can be triggered externally
        RegisterAction(toggleEditAction);
        RegisterAction(togglePlayAction);
    }

    private void ToggleEditMode()
    {
        try
        {
            // Assuming SuperController.singleton.editModeToggle references the edit mode toggle
            bool isEditMode = SuperController.singleton.editModeToggle.isOn;
            // Toggle the edit mode state
            SuperController.singleton.editModeToggle.isOn = !isEditMode;
        }
        catch (Exception ex)
        {
            SuperController.LogError("Failed to toggle edit mode: " + ex.Message);
        }
    }

    private void TogglePlayMode()
    {
        try
        {
            // Assuming SuperController.singleton.playModeToggle references the play mode toggle
            bool isPlayMode = SuperController.singleton.playModeToggle.isOn;
            // Toggle the play mode state
            SuperController.singleton.playModeToggle.isOn = !isPlayMode;
        }
        catch (Exception ex)
        {
            SuperController.LogError("Failed to toggle play mode: " + ex.Message);
        }
    }
}
